<script>
  export let address = null;
  // export let latitude = null;
  // export let longitude = null;
  export let openingHours = null;
  export let url = null;

  import PostalAddress from "./PostalAddress.svelte";
</script>

{#if address}
  <PostalAddress {...address} />
{/if}

{#if openingHours}
  <div class="my-2">{openingHours}</div>
{/if}

{#if url}
  <div class="my-2">
    <a href={url} rel="external" target="_blank">Site web</a>
  </div>
{/if}
